
include <../servo/sg9.scad>;

include <../base.scad>;
include <../config.scad>;
include <config.scad>;


module cross() difference(){
    union(){
        
        hull(){    
            translate(legs_fl_pos)
                cylinder(d=screw_d + t*2, h=t);
            translate(legs_rr_pos)
                cylinder(d=screw_d + t*2, h=t);
        }
        hull(){    
            translate(legs_fr_pos)
                cylinder(d=screw_d + t*2, h=t);
            translate(legs_rl_pos)
                cylinder(d=screw_d + t*2, h=t);
        }
    }

    leg_pos()
        cylinder(d=screw_d + k*2, h=100,center=true);
}

     
module servo()   
difference(){
 union(){
     translate([0, mg90s_turret_diameter/2-mg90s_servo_height+mg90s_frame_v_offset, 0]){
         
         hull()
         for(x=[-mg90s_servo_width/2, mg90s_servo_width*3/2 + spacing])
             for(z=[-t - 1, -mg90s_servo_height])
                 translate([x,0,z])
                    rotate([90,0,0])
                        cylinder(r=t, h=h);
         
          for(x=[0, mg90s_servo_width +  spacing])
          translate([x, 0,   screw_offset])
            rotate([90,0,0])
                cylinder(r=t, h=h);
     }
     
     translate([0, 0, -mg90s_servo_height])
     rotate([180, 0, 0])
        cylinder(d=screw_d + t*2, h=max((mg90s_frame_length-mg90s_servo_length)/2,  abs(mg90s_servo_height + screw_offset) + t ));
 }
 
     for(x=[-mg90s_servo_width/2, mg90s_servo_width*3/2 + spacing])
             translate([x,0,-mg90s_servo_height])
                rotate([90,0,0])
                    cylinder(r=1, h=100, center=true);
 
     rotate([180, 0, 0])
        cylinder(d=screw_d, h=100, center=true);
 
   translate([mg90s_servo_width +  spacing, 0,screw_offset])
        rotate([90,0,0])
            cylinder(d=mg90s_mounting_hole_diameter, h=100, center=true);
 
     translate([-mg90s_servo_width/2, -50, -mg90s_servo_height])
        cube([mg90s_servo_width*2 + spacing, 100, 100]);
 }
 
 
 

//cross();

color("gray")
    servo();
