include <config.scad>;
// from http://www.thingiverse.com/thing:745019

$fn=60;

use <servo_mockup.scad>;

//
// List of servos I have.
//
// include <futaba.scad> will make these variables available

module mg90s(centered=true) color("MediumBlue") {
  servo_mockup(
    servo_width = mg90s_servo_width,
    servo_length = mg90s_servo_length,
    servo_height = mg90s_servo_height,
    frame_length = mg90s_frame_length,
    frame_thickness = mg90s_frame_thickness,
    frame_v_offset = mg90s_frame_v_offset,
    mounting_hole_diameter = mg90s_mounting_hole_diameter,
    mounting_hole_center_x_offset = mg90s_mounting_hole_center_x_offset,
    mounting_hole_center_y_offset = mg90s_mounting_hole_center_y_offset,
    mounting_hole_slot = mg90s_mounting_hole_slot,
    axle_diameter = mg90s_axle_diameter,
    axle_height = mg90s_axle_height,
    axle_is_round = true,
    turret_diameter = mg90s_turret_diameter,
    turret_x_margin = mg90s_turret_x_margin,
    turret_y_margin = mg90s_turret_y_margin,
    turret_height = mg90s_turret_height,
    centered=centered);
}

mg90s();
